Name:           pylint
Summary:        Extensible Python source code checker
Version:        3.2.1
Release:        %mkrel 1
License:        GPLv2+
Group:          Development/Python
Url:            https://www.pylint.org/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros

%description
PyLint is an extensible tool for checking whether Python code satisfies a
specified coding standard. It is similar to PyChecker insofar that it can
perform nearly all tests supported by PyChecker. Pylint, however, can check
many other things such as line-code length, variable name adherence to a coding
standard, whether interfaces defined in the code are actually implemented, and
much more. One can easily extend PyLint with plugins.

%package -n python3-%{name}
Summary:        Extensible Python 3 source code checker
Group:          Development/Python
%{?python_provide:%python_provide python3-%{name}}
Provides:       pylint = %{version}-%{release}

%description -n python3-%{name}
PyLint is an extensible tool for checking whether Python code satisfies a
specified coding standard. It is similar to PyChecker insofar that it can
perform nearly all tests supported by PyChecker. Pylint, however, can check
many other things such as line-code length, variable name adherence to a coding
standard, whether interfaces defined in the code are actually implemented, and
much more. One can easily extend PyLint with plugins.

%prep
%setup -q

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name}

# compatibility symlink
ln -s pylint %{buildroot}%{_bindir}/pylint-3

%files -n python3-%{name} -f %{pyproject_files}
%license LICENSE
%doc CONTRIBUTORS.txt
%{_bindir}/pylint{,-3}
%{_bindir}/pyreverse
%{_bindir}/pylint-config
%{_bindir}/symilar


%changelog
* Mon May 20 2024 papoteur <papoteur> 3.2.1-1.mga10
+ Revision: 2065062
- new version 3.2.1

* Wed Jan 03 2024 wally <wally> 3.0.3-1.mga10
+ Revision: 2027065
- new version 3.0.3
- use %%pyproject_buildrequires

* Sun Nov 19 2023 wally <wally> 3.0.2-1.mga10
+ Revision: 2008170
- new version 3.0.2

* Sun Sep 04 2022 neoclust <neoclust> 2.15.0-1.mga9
+ Revision: 1883933
- New version 2.15.0

* Wed Mar 23 2022 umeabot <umeabot> 2.12.2-3.mga9
+ Revision: 1822268
- Mageia 9 Mass Rebuild

* Fri Feb 11 2022 wally <wally> 2.12.2-2.mga9
+ Revision: 1772911
- rebuild for python3.10

* Wed Feb 02 2022 mrambo3501 <mrambo3501> 2.12.2-1.mga9
+ Revision: 1771086
- version 2.12.2

* Sun Oct 03 2021 wally <wally> 2.11.1-1.mga9
+ Revision: 1748667
- new version 2.11.1

* Tue Aug 31 2021 wally <wally> 2.10.2-1.mga9
+ Revision: 1743853
- new version 2.10.2

* Thu Apr 01 2021 daviddavid <daviddavid> 2.7.3-1.mga9
+ Revision: 1712281
- new version: 2.7.3

* Mon Mar 22 2021 daviddavid <daviddavid> 2.7.2-2.mga9
+ Revision: 1707487
- rebuild for python 3.9

* Wed Mar 10 2021 daviddavid <daviddavid> 2.7.2-1.mga9
+ Revision: 1701080
- new version: 2.7.2

* Fri Oct 09 2020 shlomif <shlomif> 2.6.0-1.mga8
+ Revision: 1632974
- New version 2.6.0

* Fri Jul 03 2020 shlomif <shlomif> 2.5.3-1.mga8
+ Revision: 1601710
- New version 2.5.3

* Fri May 08 2020 shlomif <shlomif> 2.5.2-1.mga8
+ Revision: 1581815
- New version 2.5.2 by cheese-e-boi

* Wed May 06 2020 shlomif <shlomif> 2.5.0-1.mga8
+ Revision: 1581292
- New version 2.5.0 by cheese-e-boi

* Tue Feb 18 2020 umeabot <umeabot> 2.4.4-2.mga8
+ Revision: 1538215
- Mageia 8 Mass Rebuild

* Sat Nov 16 2019 daviddavid <daviddavid> 2.4.4-1.mga8
+ Revision: 1461176
- new version: 2.4.4

* Sat Nov 09 2019 daviddavid <daviddavid> 2.4.3-1.mga8
+ Revision: 1458875
- new version: 2.4.3

* Wed Oct 02 2019 daviddavid <daviddavid> 2.4.2-1.mga8
+ Revision: 1448748
- new version: 2.4.2

* Wed Sep 25 2019 daviddavid <daviddavid> 2.4.1-1.mga8
+ Revision: 1445874
- new version: 2.4.1
- remove merged upstream patch

* Sun Sep 08 2019 wally <wally> 2.3.1-2.mga8
+ Revision: 1438536
- rebuild for python3.8

* Fri Apr 05 2019 shlomif <shlomif> 2.3.1-1.mga7
+ Revision: 1386129
- New version 2.3.1

* Wed Jan 09 2019 tv <tv> 2.2.2-2.mga7
+ Revision: 1352988
- rebuild with python 3.7

* Sat Dec 29 2018 shlomif <shlomif> 2.2.2-1.mga7
+ Revision: 1346577
- New version 2.2.2

* Mon Oct 22 2018 wally <wally> 2.1.1-3.mga7
+ Revision: 1323570
- add obsoletes/provides for pylint and pylint-gui
- provide binaries and man pages also without python3- prefix

* Sun Oct 21 2018 shlomif <shlomif> 2.1.1-2.mga7
+ Revision: 1323266
- obsolete py2 pkg to fix build

* Thu Oct 18 2018 shlomif <shlomif> 2.1.1-1.mga7
+ Revision: 1321955
- New version 2.1.1 - no py2

* Thu Sep 20 2018 umeabot <umeabot> 1.9.2-2.mga7
+ Revision: 1288186
- Mageia 7 Mass Rebuild

* Wed Jun 13 2018 shlomif <shlomif> 1.9.2-1.mga7
+ Revision: 1236800
- New version 1.9.2

* Wed May 16 2018 shlomif <shlomif> 1.9.1-1.mga7
+ Revision: 1229900
- New version 1.9.1

* Sun Apr 29 2018 neoclust <neoclust> 1.8.3-3.mga7
+ Revision: 1223637
- Add more run deps
- Add backports.functools-lru-cache as run deps

* Sun Apr 29 2018 daviddavid <daviddavid> 1.8.3-2.mga7
+ Revision: 1223548
- add missing requires on python{2,3}-pkg-resources
- rename pylint to python2-pylint
- pylint-gui has been removed upstream

* Tue Apr 03 2018 shlomif <shlomif> 1.8.3-1.mga7
+ Revision: 1215072
- New version 1.8.3

* Sat Jan 27 2018 shlomif <shlomif> 1.8.2-1.mga7
+ Revision: 1197429
- New version 1.8.2

* Mon Jan 08 2018 shlomif <shlomif> 1.7.4-1.mga7
+ Revision: 1191648
- Add BRs
- New version 1.7.4

* Sat Aug 05 2017 pterjan <pterjan> 1.5.5-2.mga7
+ Revision: 1135292
- Rebuild for python 3.6

* Thu Apr 28 2016 shlomif <shlomif> 1.5.5-1.mga6
+ Revision: 1007191
- New version 1.5.5

* Mon Jan 25 2016 shlomif <shlomif> 1.5.4-1.mga6
+ Revision: 927434
- New version 1.5.4

* Mon Jan 04 2016 shlomif <shlomif> 1.5.2-1.mga6
+ Revision: 919503
- New version 1.5.2

* Thu Dec 17 2015 shlomif <shlomif> 1.5.1-1.mga6
+ Revision: 911431
- New version 1.5.1

* Thu Oct 08 2015 daviddavid <daviddavid> 1.4.4-2.mga6
+ Revision: 887362
- rebuild for python 3.5
- use python2 macros

* Wed Sep 02 2015 shlomif <shlomif> 1.4.4-1.mga6
+ Revision: 872327
- New version 1.4.4

* Mon Oct 20 2014 grenoya <grenoya> 1.3.1-1.mga5
+ Revision: 792202
- new version 1.3.1

* Wed Oct 15 2014 umeabot <umeabot> 1.3-11.mga5
+ Revision: 746352
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.3-10.mga5
+ Revision: 728005
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.3-9.mga5
+ Revision: 687860
- Mageia 5 Mass Rebuild

* Tue Aug 05 2014 grenoya <grenoya> 1.3-8.mga5
+ Revision: 660025
- new version 1.3

* Sat May 31 2014 pterjan <pterjan> 1.1.0-8.mga5
+ Revision: 629709
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 1.1.0-7.mga5
+ Revision: 628435
- Rebuild for new Python

* Tue Feb 18 2014 grenoya <grenoya> 1.1.0-6.mga5
+ Revision: 594515
- update to new version 1.1.0
- update urls (website and download)

* Tue Oct 22 2013 umeabot <umeabot> 1.0.0-4.mga4
+ Revision: 542909
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.0.0-3.mga4
+ Revision: 498048
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 02 2013 grenoya <grenoya> 1.0.0-2.mga4
+ Revision: 490571
- fix requires on python3 Tkinter

* Wed Oct 02 2013 grenoya <grenoya> 1.0.0-1.mga4
+ Revision: 490415
- new version 1.0.0
- split gui from main package
- add python3 packages

* Sun Jan 13 2013 umeabot <umeabot> 0.26.0-2.mga3
+ Revision: 378415
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 grenoya <grenoya> 0.26.0-1.mga3
+ Revision: 319865
- new version 0.26.0

* Mon Aug 20 2012 grenoya <grenoya> 0.25.2-1.mga3
+ Revision: 282690
- new version 0.25.2

* Thu Feb 23 2012 kharec <kharec> 0.25.1-1.mga2
+ Revision: 212510
- fix source0
- new version 0.25.1

* Sat Oct 08 2011 grenoya <grenoya> 0.25.0-1.mga2
+ Revision: 152991
- update to new version 0.25.0

* Tue Sep 06 2011 grenoya <grenoya> 0.24.0-1.mga2
+ Revision: 139542
- clean spec
- imported package pylint


* Fri Aug 05 2011 Lev Givon <lev@mandriva.org> 0.24.0-1mdv2012.0
+ Revision: 693332
- Update to 0.24.0.

* Thu Feb 17 2011 Lev Givon <lev@mandriva.org> 0.23.0-1
+ Revision: 638259
- Update to 0.23.0.

* Tue Nov 30 2010 Lev Givon <lev@mandriva.org> 0.22.0-1mdv2011.0
+ Revision: 603779
- Update to 0.22.0.

* Mon Nov 08 2010 Lev Givon <lev@mandriva.org> 0.21.4-1mdv2011.0
+ Revision: 595120
- Update to 0.21.4.
- Update to 0.21.3.

* Tue Nov 02 2010 Michael Scherer <misc@mandriva.org> 0.21.2-2mdv2011.0
+ Revision: 592425
- rebuild for python 2.7

* Mon Aug 30 2010 Lev Givon <lev@mandriva.org> 0.21.2-1mdv2011.0
+ Revision: 574479
- Update to 0.21.2.

* Wed Jul 28 2010 Lev Givon <lev@mandriva.org> 0.21.1-1mdv2011.0
+ Revision: 562815
- Update to 0.21.1.

* Fri May 28 2010 Lev Givon <lev@mandriva.org> 0.21.0-1mdv2011.0
+ Revision: 546544
- Update to 0.21.0.

* Sun Apr 04 2010 Lev Givon <lev@mandriva.org> 0.20.0-1mdv2010.1
+ Revision: 531444
- Update to 0.20.0.

* Sun Dec 20 2009 Lev Givon <lev@mandriva.org> 0.19.0-1mdv2010.1
+ Revision: 480426
- Update to 0.19.0.

* Thu Nov 12 2009 Lev Givon <lev@mandriva.org> 0.18.1-1mdv2010.1
+ Revision: 465477
- Update to 0.18.1.

* Wed May 06 2009 Lev Givon <lev@mandriva.org> 0.18.0-3mdv2010.0
+ Revision: 372589
- Make package own %%py_sitedir/pylint.

* Sun Apr 19 2009 Lev Givon <lev@mandriva.org> 0.18.0-2mdv2009.1
+ Revision: 368051
- Bump release.

* Sun Apr 19 2009 Lev Givon <lev@mandriva.org> 0.18.0-1mdv2009.1
+ Revision: 368022
- Update to 0.18.0.

* Tue Feb 17 2009 Jérôme Soyer <saispo@mandriva.org> 0.16.0-1mdv2009.1
+ Revision: 341497
- New upstream release

* Tue Jan 06 2009 Funda Wang <fwang@mandriva.org> 0.15.2-2mdv2009.1
+ Revision: 325999
- rebuild

* Tue Nov 04 2008 Lev Givon <lev@mandriva.org> 0.15.2-1mdv2009.1
+ Revision: 299695
- Update to 0.15.2.

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0.14.0-4mdv2009.0
+ Revision: 259424
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.14.0-3mdv2009.0
+ Revision: 247284
- rebuild

* Tue Feb 19 2008 Lev Givon <lev@mandriva.org> 0.14.0-1mdv2008.1
+ Revision: 172408
- Update to 0.14.0.

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 09 2007 Lev Givon <lev@mandriva.org> 0.13.2-1mdv2008.0
+ Revision: 50548
- Update to 0.13.2.

* Wed Apr 18 2007 Lev Givon <lev@mandriva.org> 0.13.1-1mdv2008.0
+ Revision: 14826
- Import pylint



* Wed Mar 21 2007 Lev Givon <lev@mandriva.org> 0.13.1-1mdv2007.0
- Initial Mandriva package.
